Index: src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -147,6 +147,5 @@
         new_plot.xtransform = "x"
         new_plot.ytransform = "y"
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
         self.base.manager.communicator.plotUpdateSignal.emit([new_plot])
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 8de66b66b52c8e66ba582290c53d3257a6fa6401)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -126,5 +126,5 @@
         data = self.base.data
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         # Averaging
@@ -133,5 +133,5 @@
         phimin = -self.left_line.phi + self.main_line.theta
         phimax = self.left_line.phi + self.main_line.theta
-        if nbins == None:
+        if nbins is None:
             nbins = 20
         sect = SectorQ(r_min=0.0, r_max=radius,
@@ -169,6 +169,5 @@
         new_plot.id = "SectorQ" + self.base.data.name
         new_plot.is_data = True
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
         self.base.manager.communicator.plotUpdateSignal.emit([new_plot])
 
@@ -356,5 +355,5 @@
         if phi != None:
             self.phi = phi
-        if delta == None:
+        if delta is None:
             delta = 0
         if  right:
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -190,6 +190,5 @@
         new_plot.id = (self.averager.__name__) + self.base.data.name
         new_plot.is_data = True
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
 
         if self.update_model:
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -110,12 +110,8 @@
         parameters = self.getParams()
         # Crete/overwrite model items
-        self._model.setData(self._model.index(0, 0),
-                    QtCore.QVariant(formatNumber(parameters['Height'])))
-        self._model.setData(self._model.index(0, 1),
-                    QtCore.QVariant(formatNumber(parameters['Width'])))
-        self._model.setData(self._model.index(0, 2),
-                    QtCore.QVariant(formatNumber(parameters['center_x'])))
-        self._model.setData(self._model.index(0, 3),
-                    QtCore.QVariant(formatNumber(parameters['center_y'])))
+        self._model.setData(self._model.index(0, 0), formatNumber(parameters['Height']))
+        self._model.setData(self._model.index(0, 1), formatNumber(parameters['Width']))
+        self._model.setData(self._model.index(0, 2), formatNumber(parameters['center_x']))
+        self._model.setData(self._model.index(0, 3), formatNumber(parameters['center_y']))
 
         self.setReadOnlyParametersFromModel()
@@ -130,14 +126,9 @@
         """
         parameters = self.getParams()
-        self._model.setData(self._model.index(0, 4),
-                    QtCore.QVariant(formatNumber(parameters['avg'])))
-        self._model.setData(self._model.index(0, 5),
-                    QtCore.QVariant(formatNumber(parameters['avg_error'])))
-        self._model.setData(self._model.index(0, 6),
-                    QtCore.QVariant(formatNumber(parameters['sum'])))
-        self._model.setData(self._model.index(0, 7),
-                    QtCore.QVariant(formatNumber(parameters['sum_error'])))
-        self._model.setData(self._model.index(0, 8),
-                    QtCore.QVariant(formatNumber(parameters['num_points'])))
+        self._model.setData(self._model.index(0, 4), formatNumber(parameters['avg']))
+        self._model.setData(self._model.index(0, 5), formatNumber(parameters['avg_error']))
+        self._model.setData(self._model.index(0, 6), formatNumber(parameters['sum']))
+        self._model.setData(self._model.index(0, 7), formatNumber(parameters['sum_error']))
+        self._model.setData(self._model.index(0, 8), formatNumber(parameters['num_points']))
 
     def setParamsFromModel(self):
